commit:     2ae1f9ac47eca2f9bc9f761ea166d5aa2e31b1fd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 16 19:49:20 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 16 21:49:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ae1f9ac

sci-libs/libh2o: Bump to EAPI 7

 .../{libh2o-9999.ebuild => libh2o-0.2.1-r1.ebuild}  | 21 +++++++++++----------
 sci-libs/libh2o/libh2o-9999.ebuild                  | 21 +++++++++++++++------
 2 files changed, 26 insertions(+), 16 deletions(-)

diff --git a/sci-libs/libh2o/libh2o-9999.ebuild 
b/sci-libs/libh2o/libh2o-0.2.1-r1.ebuild
similarity index 58%
copy from sci-libs/libh2o/libh2o-9999.ebuild
copy to sci-libs/libh2o/libh2o-0.2.1-r1.ebuild
index 2181109f366..2b52c92af38 100644
--- a/sci-libs/libh2o/libh2o-9999.ebuild
+++ b/sci-libs/libh2o/libh2o-0.2.1-r1.ebuild
@@ -1,28 +1,29 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=yes
-
-inherit autotools-utils git-r3
+EAPI=7
 
 DESCRIPTION="Library of routines for IF97 water & steam properties"
 HOMEPAGE="https://github.com/mgorny/libh2o/";
-SRC_URI=""
-EGIT_REPO_URI="https://github.com/mgorny/libh2o.git";
+SRC_URI="https://github.com/mgorny/libh2o/releases/download/${P}/${P}.tar.bz2";
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~x86"
 IUSE="debug static-libs"
 
 DEPEND="virtual/pkgconfig"
 
 src_configure() {
-       local myeconfargs=(
+       local myconf=(
                $(use_enable debug)
+               $(use_enable static-libs static)
        )
 
-       autotools-utils_src_configure
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/sci-libs/libh2o/libh2o-9999.ebuild 
b/sci-libs/libh2o/libh2o-9999.ebuild
index 2181109f366..731e477a391 100644
--- a/sci-libs/libh2o/libh2o-9999.ebuild
+++ b/sci-libs/libh2o/libh2o-9999.ebuild
@@ -1,11 +1,9 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-AUTOTOOLS_AUTORECONF=yes
-
-inherit autotools-utils git-r3
+inherit autotools git-r3
 
 DESCRIPTION="Library of routines for IF97 water & steam properties"
 HOMEPAGE="https://github.com/mgorny/libh2o/";
@@ -19,10 +17,21 @@ IUSE="debug static-libs"
 
 DEPEND="virtual/pkgconfig"
 
+src_prepare() {
+       default
+       eautoreconf
+}
+
 src_configure() {
-       local myeconfargs=(
+       local myconf=(
                $(use_enable debug)
+               $(use_enable static-libs static)
        )
 
-       autotools-utils_src_configure
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to